<ion-view view-title="Teams">
  <ion-nav-buttons side="right">
    <button class="button button-icon icon ion-plus-circled" ng-click="createTeam()"></button>
  </ion-nav-buttons>
  <ion-content>
    <div class="spinner" ng-hide="teamsLoaded">
        <div class="bounce1"></div>
        <div class="bounce2"></div>
        <div class="bounce3"></div>
    </div>
    <div class="list">
      <a class="item item-thumbnail-left" ng-repeat="t in teams" ng-click="viewTeam(t.$id)">
          <img ng-src="data:image/jpeg;base64,{{ t.image }}" class="team_img" alt="team_logo" ng-if="t.image" width="150" height="150">
          <img src="img/system/default-user.png" class="team_img" alt="team_logo" ng-if="!t.image">
           <h2>{{t.name}}</h2>
      </a>
    </div>
    <!-- Add Team Modal -->
    <script id="create-team-modal.html" type="text/ng-template">
      <ion-modal-view>
        <ion-header-bar class="bar-assertive">
          <h1 class="title">Create Team</h1>
          <div class="buttons">
            <button class="button button-icon icon ion-close-round" ng-click="closeCreateTeam()"></button>
          </div>
        </ion-header-bar>
        <ion-content class="padding">
          <h3 class="text-center">SET TEAM DETAILS</h3>
          <div class="list">
            <label class="item item-input">
                 <input type="text" ng-model="team.name" placeholder="Team name">
             </label>
          </div>
          <!-- logo image -->
          <img ng-src="data:image/jpeg;base64,{{ team.image }}" class="team_img" alt="team_logo" ng-if="team.image" width="150" height="150">
          <img src="img/system/default-user.png" class="team_img" alt="team_logo" ng-if="!team.image">
          <button class="button button-block button-positive" ng-click="uploadPicture()" angular-ripple>
            Upload Logo
          </button>
          <!-- logo image -->
          <button class="button button-block button-assertive" ng-click="addTeam()" angular-ripple>
              Create
          </button>
        </ion-content>
      </ion-modal-view>
      <!-- Add Team Modal -->
    </script>
  </ion-content>
</ion-view>

